# Class ReflectedFrom

java.lang.Object
de.javawi.jstun.attribute.MessageAttribute
de.javawi.jstun.attribute.MappedResponseChangedSourceAddressReflectedFrom
de.javawi.jstun.attribute.ReflectedFrom

All Implemented Interfaces:
  `MessageAttributeInterface`

public class ReflectedFrom extends MappedResponseChangedSourceAddressReflectedFrom

## Nested Class Summary

### Nested classes/interfaces inherited from interface MessageAttributeInterface

`MessageAttributeInterface.MessageAttributeType`

## Field Summary

### Fields inherited from interface MessageAttributeInterface

`CHANGEDADDRESS, CHANGEREQUEST, DUMMY, ERRORCODE, MAPPEDADDRESS, MESSAGEINTEGRITY, PASSWORD, REFLECTEDFROM, RESPONSEADDRESS, SOURCEADDRESS, UNKNOWNATTRIBUTE, USERNAME`

## Constructor Summary

Constructors
Constructor
Description
`ReflectedFrom()`

## Method Summary

Modifier and Type
Method
Description
`static ReflectedFrom`
`parse(byte[] data)`

### Methods inherited from class MappedResponseChangedSourceAddressReflectedFrom

`getAddress, getBytes, getPort, parse, setAddress, setPort, toString`

### Methods inherited from class MessageAttribute

`getLength, getType, intToType, parseCommonHeader, setType, typeToInteger`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReflectedFrom

public ReflectedFrom()

## Method Details

### parse

public static ReflectedFrom parse(byte[] data) throws MessageAttributeParsingException

Throws:
  `MessageAttributeParsingException`